declare namespace Cypress {
  interface Chainable {
    login(username: string, password: string, loginUrl: string): void;
  }
}

Cypress.Commands.add('login', (username, password, loginUrl) => {
  cy.visit(loginUrl);

  cy.get('input#outlined-email-input').type(username);
  cy.get('input#outlined-password-input').type(password);

  cy.get('button#loginButton').click();
});
